<div id="select-media-page">
	<mat-card fxLayout="column" fxLayoutGap="30px">
		<div class="device-info" fxLayout="column" fxLayoutGap="15px" fxLayoutAlign="center center">
			<video id="video-output" autoplay></video>
		</div>

		<div class="radio-button-groups-container" fxLayout="row" fxLayoutGap="30px" fxLayoutAlign="center start">
			<mat-radio-group [(ngModel)]="selectedCameraLabel" (change)="changeDevice(selectedCameraLabel, selectedMicrophoneLabel)" fxLayout="column" fxLayoutGap="10px">
				<h4 fxLayoutAlign="center center">Camera</h4>
				<mat-radio-button 
					*ngFor="let mediaDevice of mediaDevices" 
					[value]="mediaDevice.label"
					[style.display]="(mediaDevice.kind !== 'videoinput') ? 'none' : ''"
				>{{ mediaDevice.label }}</mat-radio-button>
			</mat-radio-group>

			<mat-radio-group [(ngModel)]="selectedMicrophoneLabel" (change)="changeDevice(selectedCameraLabel, selectedMicrophoneLabel)" fxLayout="column" fxLayoutGap="10px">
				<h4 fxLayoutAlign="center center">Microphone</h4>
				<mat-radio-button 
					*ngFor="let mediaDevice of mediaDevices" 
					[value]="mediaDevice.label"
					[style.display]="(mediaDevice.kind !== 'audioinput') ? 'none' : ''"
				>{{ mediaDevice.label }}</mat-radio-button>
			</mat-radio-group>
		</div>
	</mat-card>
</div>